jQuery(function() {
    pwlparaHandleFormSubmission('#pwlpara-settings-form');

    jQuery('#pwlpar-header-points-history-button').off('click').on('click', function(e) {
        alert(pwlpara.i18n.notAvailableInPreview);
        e.preventDefault();
        return false;
    }).css('cursor', 'not-allowed');

    jQuery('#pwlpara-settings-preview .pwlpar-offer-button').off('click').on('click', function(e) {
        alert(pwlpara.i18n.notAvailableInPreview);
        e.preventDefault();
        return false;
    }).css('cursor', 'not-allowed');

    jQuery('#pwlpar-header-logo').on('error', function() {
        jQuery(this).hide();
    });

    pwlparaBindMediaPicker('#pwlpara-custom-logo', '#pwlpara-custom-logo-button', '#pwlpar-header-logo');

    jQuery('#pwlpara-custom-logo').on('propertychange change keyup input paste', function() {
        pwlparaUpdateImage('#pwlpara-custom-logo', '#pwlpar-header-logo');
    });

    jQuery('#pwlpara-primary-color').wpColorPicker({
        change: function(event, ui){
            document.documentElement.style.setProperty('--pwlpar-primary-color', ui.color.toString());
        },
    });

    jQuery('#pwlpara-secondary-color').wpColorPicker({
        change: function(event, ui){
            document.documentElement.style.setProperty('--pwlpar-secondary-color', ui.color.toString());
        },
    });

    jQuery('#pwlpara-background-color').wpColorPicker({
        change: function(event, ui){
            document.documentElement.style.setProperty('--pwlpar-background-color', ui.color.toString());
        },
    });

    jQuery('#pwlpara-text-color').wpColorPicker({
        change: function(event, ui){
            document.documentElement.style.setProperty('--pwlpar-text-color', ui.color.toString());
        },
    });

    jQuery('#pwlpara-program-name').on('propertychange keyup input cut paste', function() {
        var name = jQuery(this).val();
        jQuery('#pwlpar-header-program-name').text(name);
    });

    jQuery('#pwlpara-program-logo-url').on('change', function() {
        var logo = jQuery(this).val();
        if (logo == 'custom') {
            jQuery('#pwlpar-header-logo').hide();
            jQuery('#pwlpara-custom-logo').val('');
            jQuery('#pwlpara-custom-logo-container').show();
            jQuery('#pwlpara-custom-logo').trigger('focus');
        } else {
            jQuery('#pwlpara-custom-logo-container').hide();
            jQuery('#pwlpar-header-logo').attr('src', logo);
            jQuery('#pwlpar-header-logo').show();
        }
    });

    jQuery('#pwlpara-program-join-page-id').on('change', function() {
        var pageId = jQuery(this).val();
        if (pageId) {
            jQuery('#pwlpara-settings-join-page-edit-button').attr('href', pwlpara.editPageUrl + pageId).show();
        } else {
            jQuery('#pwlpara-settings-join-page-edit-button').hide();
        }
    });

    jQuery('#pwlpara-program-home-page-id').on('change', function() {
        var pageId = jQuery(this).val();
        if (pageId) {
            jQuery('#pwlpara-settings-home-page-edit-button').attr('href', pwlpara.editPageUrl + pageId).show();
        } else {
            jQuery('#pwlpara-settings-home-page-edit-button').hide();
        }
    });
});
